Skip to main content
GET
/
developer
/
company
/
invoices
/
{id}
{
  "success": true,
  "data": {
    "invoice": {
      "id": "11111111-1111-4111-8111-000000000306",
      "company_id": "11111111-1111-4111-8111-000000000301",
      "public_id": "invoice_api_doc_get_001",
      "status": "pending",
      "due_date": "2027-02-01T00:00:00.000Z",
      "issued_at": "2027-01-01T00:00:00.000Z",
      "invoice_number": "INV-API-DOC-001",
      "reference": "API documentation example",
      "deposit_account_id": "11111111-1111-4111-8111-000000000303",
      "currency": "GBP",
      "amount": 100,
      "line_items": [
        {
          "quantity": 1,
          "unit_price": 100,
          "discount": 0,
          "description": "Integration test line item"
        }
      ],
      "memo": null,
      "template_id": "11111111-1111-4111-8111-000000000305",
      "recipient_id": "11111111-1111-4111-8111-000000000304",
      "email": "billing@incard.test",
      "cc": [],
      "notes": "Created for API documentation examples.",
      "transaction_id": null,
      "cancelled_at": null,
      "requested_by": {
        "id": "11111111-1111-4111-8111-000000000302",
        "first_name": "Integration",
        "last_name": "Tester",
        "email": "integration-tester@incard.test"
      },
      "template": {
        "id": "11111111-1111-4111-8111-000000000305",
        "company_id": "11111111-1111-4111-8111-000000000301",
        "name": "Template api-doc-get",
        "background_type": "colour",
        "background_colour": "#ffffff",
        "background_asset_id": null,
        "updated_at": "2027-01-01T00:00:00.000Z",
        "updated_by": null
      },
      "recipient": {
        "id": "11111111-1111-4111-8111-000000000304",
        "company_id": "11111111-1111-4111-8111-000000000301",
        "type": "individual",
        "first_name": "Alex",
        "last_name": "Recipient",
        "company_name": null,
        "email": "recipient-api-doc-get@incard.test",
        "address_line_1": null,
        "address_line_2": null,
        "city": null,
        "postcode": null,
        "state": null,
        "country": null,
        "last_requested_at": null,
        "updated_at": "2027-01-01T00:00:00.000Z",
        "updated_by": null
      },
      "reminderSchedule": null
    }
  }
}

Authorizations

Authorization
string
header
required

Short-lived access token. Obtain with your api_key.

Path Parameters

id
string
required

Outbound invoice UUID.

Response

Outbound invoice with template, recipient, and requester details.

success
boolean
required

Whether the invoice was returned successfully.

data
object